Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 594241 Details for
Bug 835155
RHEL6 version of NTP does not support signed responses
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
Proposed SysVinit control script for ntpdate (from previous Fedora package)
ntpdate.init (text/plain), 2.01 KB, created by
Giuseppe Ragusa
on 2012-06-25 17:13:41 UTC
(
hide
)
Description:
Proposed SysVinit control script for ntpdate (from previous Fedora package)
Filename:
MIME Type:
Creator:
Giuseppe Ragusa
Created:
2012-06-25 17:13:41 UTC
Size:
2.01 KB
patch
obsolete
>#!/bin/bash ># ># chkconfig: - 57 75 ># description: set the date and time via NTP > >### BEGIN INIT INFO ># Provides: ntpdate ># Required-Start: $network $local_fs $remote_fs ># Should-Start: $syslog $named ># Short-Description: set the date and time via NTP ># Description: ntpdate sets the local clock by polling NTP servers >### END INIT INFO > ># Source function library. >. /etc/init.d/functions > ># Source networking configuration. >. /etc/sysconfig/network > >prog=ntpdate >lockfile=/var/lock/subsys/$prog >ntpconf=/etc/ntp.conf >ntpstep=/etc/ntp/step-tickers > >start() { > [ "$EUID" != "0" ] && exit 4 > [ "$NETWORKING" = "no" ] && exit 1 > [ -x /usr/sbin/ntpdate ] || exit 5 > [ -f /etc/sysconfig/ntpdate ] || exit 6 > . /etc/sysconfig/ntpdate > > [ -f $ntpstep ] && tickers=$(sed 's/#.*//' $ntpstep) || tickers= > > if ! echo "$tickers" | grep -qi '[a-z0-9]' && [ -f $ntpconf ]; then > # step-tickers doesn't specify a server, > # use servers from ntp.conf instead > tickers=$(awk '$1=="peer"||$1=="server"{print $2}' $ntpconf | \ > grep -Ev '127\.127\.[0-9]+\.[0-9]+') > fi > > if ! echo "$tickers" | grep -qi '[a-z0-9]'; then > echo $"NTP server not specified in $ntpstep or $ntpconf" > exit 6 > fi > > echo -n $"$prog: Synchronizing with time server: " > > [ -z "$RETRIES" ] && RETRIES=2 > retry=0 > while true; do > /usr/sbin/ntpdate -U ntp -s -b $OPTIONS $tickers &> /dev/null > RETVAL=$? > [ $RETVAL -eq 0 ] || [ $retry -ge "$RETRIES" ] && break > sleep $[10 * (1 << $retry)] > retry=$[$retry + 1] > done > > [ $RETVAL -eq 0 ] && success || failure > echo > if [ $RETVAL -eq 0 ]; then > touch $lockfile > [ "$SYNC_HWCLOCK" = "yes" ] && \ > action $"Syncing hardware clock to system time" \ > /sbin/hwclock --systohc > fi > return $RETVAL >} > >status() { > [ -f $lockfile ] || return 3 >} > >stop() { > [ "$EUID" != "0" ] && exit 4 > rm -f $lockfile >} > ># See how we were called. >case "$1" in > start) > start > ;; > stop) > stop > ;; > status) > status > ;; > restart|force-reload) > stop > start > ;; > *) > echo $"Usage: $0 {start|stop|status|restart|force-reload}" > exit 2 >esac
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 835155
:
594239
|
594240
| 594241